## presentty 0.2.0

=== requirements.txt ===
pbr>=0.5.21,<1.0

urwid
docutils>=0.12
pygments
pillow # or PIL.  Optional; only used for images.

=== debian/changelog ===
presentty (0.2.0-1) unstable; urgency=medium

  * New upstream version.
    - adds graceful quit key.  closes: #795026.
  * Use pybuild.

 -- Clint Adams <clint@gcfm.net>  Thu, 13 Aug 2015 15:28:22 +0200

presentty (0.1.1-1) unstable; urgency=low

  * Initial release. Closes: #778855

 -- Clint Byrum <spamaps@debian.org>  Fri, 20 Feb 2015 11:43:53 -0800

=== debian/control ===
Source: presentty
Section: misc
Priority: optional
Maintainer: Clint Byrum <spamaps@debian.org>
Build-Depends: debhelper (>=9),
	python-all,
    python-setuptools,
    python-pbr,
    dh-python
Standards-Version: 3.9.6
Homepage: https://gitorious.org/presentty
Vcs-Git: git://anonscm.debian.org/collab-maint/presentty.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/presentty.git

Package: presentty
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},${python:Depends},figlet,jp2a,cowsay
Description: Console-based presentation software
 Presentty is a console-based presentation program where slides are
 authored in reStructuredText. Its features include, but are not limited
 to: Cross-fade animations, progressive list display, panning
 transitions, syntax highlighting, Cowsay and figlet integration, ANSI
 art, JPEG display.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=presentty

%:
	dh $@ --with python2 --buildsystem=pybuild

## presentty 0.2.1

=== requirements.txt ===
pbr>=0.5.21,<1.0

urwid
docutils>=0.12
pygments
Pillow>=2.4.0,<3.0.0 # or PIL.  Optional, only used for images. # MIT

=== debian/changelog ===
presentty (0.2.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Homepage to PyPI
    Closes: #1067454
  * debian/README.Debian: Pointer to different forks with different enhancemnts
    and comment about other project with same name and functionality in Go
  * Maintain package in Debian team on Salsa
  * d/watch:
     - version=5
     - Point watch file to fork on Github with latest changes to raise some
       signal that there is some potentially new upstream
  * Avoid Python3 syntax warning
    Closes: #1085788
  * debhelper-compat (= 13)
  * d/copyright:
     - review
     - Add complete CC BY 2.0 license text
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Use dh_installexamples
  * Avoid unneeded python-pbr dependency
    Closes: #780009

 -- Andreas Tille <tille@debian.org>  Sun, 08 Feb 2026 10:53:45 +0100

presentty (0.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 16:38:21 -0500

presentty (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Port to python3 closes: #937322,#934932. Patch forwarded to
    upstream maintainer.
  * Updated Policy version to 4.1.4. No changes necessary.
  * Fixing lintian warnings in debian/copyright
  * Updating homepage to reflect gitorious shutdown
  * Removing Vcs headers as they are inaccurate and unused.
  * Making Architecture: all since there aren't any arch-specific
    pieces.

 -- Clint Byrum <spamaps@debian.org>  Sat, 14 Sep 2019 05:24:59 -0700

=== debian/control ===
Source: presentty
Section: misc
Maintainer: Clint Byrum <spamaps@debian.org>
Build-Depends: debhelper-compat (= 13),
	python3-all,
    python3-setuptools,
    python3-pbr,
    dh-sequence-python3
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/presentty
Vcs-Git: https://salsa.debian.org/debian/presentty.git
Homepage: https://pypi.org/project/presentty/

Package: presentty
Architecture: all
Depends: ${misc:Depends},${python3:Depends},figlet,jp2a,cowsay
Description: Console-based presentation software
 Presentty is a console-based presentation program where slides are
 authored in reStructuredText. Its features include, but are not limited
 to: Cross-fade animations, progressive list display, panning
 transitions, syntax highlighting, Cowsay and figlet integration, ANSI
 art, JPEG display.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=presentty

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

# Pick fork on Github with latest changes
# There is another for with other changes at https://github.com/dmsimard/presentty
# The Github for is choosen to learn about new development automatically via uscan
Source: https://github.com/masayukig/presentty.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.2.1+git%cd.%h

#Template: Pypi
#Dist:  presentty
